Subject: Re: bug#43153: Add new command project-find-dir (and move binding of project-dired)

From: Dmitry Gutov <[email-masked]>
Date: Mon, 20 Sep 2021 17:31:30 +0300

On 20.09.2021 09:54, Juri Linkov wrote:
>> Here's a quick implementation of this feature inside project-dired:
> 
> Thanks, I tried it and everything's working as expected.
> 
>> Note that the user can simply press RET without typing any directory name
>> and that will launch Dired in the project root.
> 
> This is a nice feature.
> 
>> That seems like it might make having a separate command unnecessary, since
>> 'C-x p D' and 'C-x p d RET' take the same number of keypresses. The latter
>> might make you move your hand farther, though.
> 
> We had such discussion about 'C-x v d' where the request
> was for a command that doesn't require RET.  But 'C-x v D'
> can't be used because it's bound to 'vc-root-diff'.

True.

> BTW, I have such customization:
> 
>    (define-key project-prefix-map "V" vc-prefix-map)
> 
> to allow vc commands in a project, e.g. 'C-x p V D' for 'vc-root-diff'.

Hmm. I'm not sure when I'd use it instead of the shorter 'C-x v D'.

When you are inside a Git submodule, maybe? It can make a difference. 
But then you have to be aware that the diff will not include changes in 
the submodules (just the changed summary hashes).